<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="flex flex-col gap-4 w-64 items-center mt-10">
  <i class="fa fa-user" style="font-size: 2rem"></i>
  <div *ngIf="user" class="flex flex-col items-center">
    <div class="font-semibold text-lg w-48 text-center">{{ user.givenName }} {{ user.familyName }}</div>
    <div class="text-text-300 text-sm">{{ user.email }}</div>
  </div>
  <div *ngIf="basicAuth && !user" class="flex flex-col items-center">
    <div class="font-semibold text-lg w-48 text-center">{{ basicAuth.username }}</div>
    <div class="text-text-300 text-sm">Basic auth</div>
  </div>
  <p-button severity="danger" label="Logout" icon="pi pi-sign-out" [text]="true" (onClick)="logout()" [loading]="(loading$ | async) ?? false"></p-button>
</div>
